--- old/usr/src/man/man1/Makefile	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man1/Makefile	Wed Jul 16 09:10:05 2014
@@ -52,7 +52,6 @@
 	 	calendar.1			\
 	 	cancel.1			\
 	 	cat.1				\
-	 	catman.1			\
 	 	cd.1				\
 	 	cdrw.1				\
 	 	checknr.1			\
--- old/usr/src/man/man1/apropos.1	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man1/apropos.1	Wed Jul 16 09:10:05 2014
@@ -70,7 +70,7 @@
 .Nm whatis
 databases are found.
 .Sh INTERFACE STABILITY
-Committed.
+.Nm Committed .
 .Sh CODE SET INDEPENDENCE
 Enabled.
 .Sh SEE ALSO
--- old/usr/src/man/man1/man.1	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man1/man.1	Wed Jul 16 09:10:05 2014
@@ -118,9 +118,12 @@
 .Sh INTERFACE STABILITY
 The
 .Nm 
-utility is Standard, as is the
+utility is
+.Nm Standard ,
+as is the
 .Fl k
-option. The other options are Committed.
+option. The other options are
+.Nm Committed .
 .Sh SEE ALSO
 .Xr apropos 1 ,
 .Xr intro 1 ,
--- old/usr/src/man/man1/mandoc.1	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man1/mandoc.1	Wed Jul 16 09:10:05 2014
@@ -16,7 +16,7 @@
 .\" Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 .\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.Dd Jul 13, 2014
+.Dd Jul 16, 2014
 .Dt MANDOC 1
 .Os
 .Sh NAME
@@ -459,13 +459,13 @@
 To page manuals to the terminal:
 .Pp
 .Dl $ mandoc \-Wall,stop mandoc.1 2\*(Gt&1 | less
-.Dl $ mandoc mandoc.1 mdoc.3 mdoc.7 | less
+.Dl $ mandoc mandoc.1 mdoc.5 | less
 .Pp
 To produce HTML manuals with
 .Ar style.css
 as the style-sheet:
 .Pp
-.Dl $ mandoc \-Thtml -Ostyle=style.css mdoc.7 \*(Gt mdoc.7.html
+.Dl $ mandoc \-Thtml -Ostyle=style.css mdoc.5 \*(Gt mdoc.5.html
 .Pp
 To check over a large set of manuals:
 .Pp
@@ -473,7 +473,7 @@
 .Pp
 To produce a series of PostScript manuals for A4 paper:
 .Pp
-.Dl $ mandoc \-Tps \-Opaper=a4 mdoc.7 man.7 \*(Gt manuals.ps
+.Dl $ mandoc \-Tps \-Opaper=a4 mdoc.5 man.5 \*(Gt manuals.ps
 .Pp
 Convert a modern
 .Xr mdoc 5
@@ -631,8 +631,10 @@
 .Sh INTERFACE STABILITY
 The
 .Nm 
-utility is Committed, but the details of specific output formats other than
-ASCII are Uncommitted.
+utility is
+.Nm Committed ,
+but the details of specific output formats other than ASCII are
+.Nm Uncommitted .
 .Sh SEE ALSO
 .Xr eqn 5 ,
 .Xr man 5 ,
--- old/usr/src/man/man1m/Makefile	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man1m/Makefile	Wed Jul 16 09:10:05 2014
@@ -13,7 +13,6 @@
 # Copyright 2011, Richard Lowe
 # Copyright (c) 2012, Joyent, Inc.  All rights reserved.
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 include		$(SRC)//Makefile.master
@@ -60,6 +59,7 @@
 		cachefsstat.1m		\
 		cachefswssize.1m	\
 		captoinfo.1m		\
+		catman.1m		\
 		cfgadm.1m		\
 		cfgadm_ac.1m		\
 		cfgadm_cardbus.1m	\
--- old/usr/src/man/man1/catman.1	Wed Jul 16 09:10:05 2014
+++ /dev/null	Tue Jul 15 19:41:38 2014
@@ -1,70 +0,0 @@
-.\"
-.\" This file and its contents are supplied under the terms of the
-.\" Common Development and Distribution License ("CDDL"), version 1.0.
-.\" You may only use this file in accordance with the terms of version
-.\" 1.0 of the CDDL.
-.\"
-.\" A full copy of the text of the CDDL should have accompanied this
-.\" source.  A copy of the CDDL is also available via the Internet at
-.\" http://www.illumos.org/license/CDDL.
-.\"
-.\"
-.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
-.\"
-.Dd Jul 13, 2014
-.Dt CATAMN 1
-.Os
-.Sh NAME
-.Nm catman
-.Nd generate
-.Nm whatis
-database files
-.Sh SYNOPSIS
-.Nm
-.Op Fl M Ar path
-.Sh DESCRIPTION
-The
-.Nm
-utility generates a set of
-.Nm whatis
-database files suitable for use with
-.Xr apropos 1
-and
-.Xr whatis 1 .
-It is supplied for compatibility reasons.  The same databases can
-be generated using the
-.Fl w
-option with
-.Xr man 1 ,
-and that command should be used instead.
-.Bl -tag -width ".Fl d"
-.It Fl M Ar path
-Generate the
-.Nm whatis
-database files within the specified colon separated manual paths.
-Overrides the
-.Ev MANPATH
-environment variable.
-.El
-.Sh ENVIRONMENT
-The following environment variables affect the execution of
-.Nm :
-.Bl -tag -width ".Ev MANPATH"
-.It Ev MANPATH
-Used to specify a colon seperated list of manual paths within
-which to generate
-.Nm whatis
-database files.
-.El
-.Sh DIAGNOSTICS
-The
-.Nm
-utility exits 0 on success, and non-zero otherwise.
-.Sh INTERFACE STABILITY
-Obsolete.
-.Sh CODE SET INDEPENDENCE
-Enabled.
-.Sh SEE ALSO
-.Xr apropos 1 ,
-.Xr man 1 ,
-.Xr whatis 1
--- /dev/null	Tue Jul 15 19:41:38 2014
+++ new/usr/src/man/man1m/catman.1m	Wed Jul 16 09:10:05 2014
@@ -0,0 +1,70 @@
+.\"
+.\" This file and its contents are supplied under the terms of the
+.\" Common Development and Distribution License ("CDDL"), version 1.0.
+.\" You may only use this file in accordance with the terms of version
+.\" 1.0 of the CDDL.
+.\"
+.\" A full copy of the text of the CDDL should have accompanied this
+.\" source.  A copy of the CDDL is also available via the Internet at
+.\" http://www.illumos.org/license/CDDL.
+.\"
+.\"
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\"
+.Dd Jul 16, 2014
+.Dt CATAMN 1M
+.Os
+.Sh NAME
+.Nm catman
+.Nd generate
+.Nm whatis
+database files
+.Sh SYNOPSIS
+.Nm
+.Op Fl M Ar path
+.Sh DESCRIPTION
+The
+.Nm
+utility generates a set of
+.Nm whatis
+database files suitable for use with
+.Xr apropos 1
+and
+.Xr whatis 1 .
+It is supplied for compatibility reasons.  The same databases can
+be generated using the
+.Fl w
+option with
+.Xr man 1 ,
+and that command should be used instead.
+.Bl -tag -width ".Fl d"
+.It Fl M Ar path
+Generate the
+.Nm whatis
+database files within the specified colon separated manual paths.
+Overrides the
+.Ev MANPATH
+environment variable.
+.El
+.Sh ENVIRONMENT
+The following environment variables affect the execution of
+.Nm :
+.Bl -tag -width ".Ev MANPATH"
+.It Ev MANPATH
+Used to specify a colon seperated list of manual paths within
+which to generate
+.Nm whatis
+database files.
+.El
+.Sh DIAGNOSTICS
+The
+.Nm
+utility exits 0 on success, and non-zero otherwise.
+.Sh INTERFACE STABILITY
+.Nm "Obsolete Committed" .
+.Sh CODE SET INDEPENDENCE
+Enabled.
+.Sh SEE ALSO
+.Xr apropos 1 ,
+.Xr man 1 ,
+.Xr whatis 1
--- old/usr/src/man/man5/man.5	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man5/man.5	Wed Jul 16 09:10:05 2014
@@ -876,6 +876,8 @@
 macro is part of the extended
 .Nm
 macro set, and may not be portable to non-GNU troff implementations.
+.Sh INTERFACE STABILITY
+.Nm "Obsolete Committed" .
 .Sh SEE ALSO
 .Xr man 1 ,
 .Xr mandoc 1 ,
--- old/usr/src/man/man5/mdoc.5	Wed Jul 16 09:10:05 2014
+++ new/usr/src/man/man5/mdoc.5	Wed Jul 16 09:10:05 2014
@@ -15,8 +15,9 @@
 .\" Copyright (c) 2009, 2010, 2011 Kristaps Dzonsons <kristaps@bsd.lv>
 .\" Copyright (c) 2010, 2011 Ingo Schwarze <schwarze@openbsd.org>
 .\" Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@dmaore.org>
 .\"
-.Dd Jan 3, 2012
+.Dd Jul 16, 2014
 .Dt MDOC 5
 .Os
 .Sh NAME
@@ -148,6 +149,12 @@
 \&.\e\(dq For sections 1, 1M, 5, 6, & 7 only.
 \&.\e\(dq .Sh ERRORS
 \&.\e\(dq For sections 2, 3, & 9 only.
+\&.\e\(dq .Sh ARCHITECTURE
+\&.\e\(dq .Sh CODE SET INDEPENDENCE
+\&.\e\(dq For sections 1, 1M, & 3 only.
+\&.\e\(dq .Sh INTERFACE STABILITY
+\&.\e\(dq .Sh MT-LEVEL
+\&.\e\(dq For sections 2 & 3 only.
 \&.\e\(dq .Sh SEE ALSO
 \&.\e\(dq .Xr foobar 1
 \&.\e\(dq .Sh STANDARDS
@@ -372,6 +379,118 @@
 .Pp
 See
 .Sx \&Er .
+.It Em ARCHITECTURE
+This section is usually absent, but will be present when the
+interface is specific to one or more architectures.
+.It Em CODE SET INDEPENDENCE
+Indicates whether the interface operates correctly with various different
+code sets.  True independent code sets will support not only ASCII and
+Extended UNIX Codesets (EUC), but also other multi-byte encodings such as
+UTF-8 and GB2312.
+.Pp
+Generally there will be some limitations that are fairly standard.  See
+.Xr standards 5 for more information about some of these.  Most interfaces
+should support at least UTF-8 in addition to ASCII.
+.It Em INTERFACE STABILITY
+Indicates the level of commitment to the interface. Interfaces can be described
+with in the following ways:
+.Bl -tag
+.It Nm Standard
+Indicates that the interface is defined by one or more standards bodies.
+Generally, changes to the interface will be carefully managed to conform
+to the relevant standards.  These interfaces are generally the most suitable
+for use in portable programs.
+.It Nm Committed
+Indicates that the interface is intended to be preserved for the long-haul, and
+will rarely, if ever change, and never without notification (barring
+extraordinary and extenuating circumstances). These interfaces are 
+preferred over other interfaces with the exeception of
+.Nm Standard
+interfaces.
+.It Nm Uncommitted
+Indicates that the interface may change.  Generally, changes to these interfaces
+should be infrequent, and some effort will be made to address compatibility
+considerations when changing or removing such interfaces.  However, there is
+no firm commitment to the preservation of the interface.  Most often this
+is applied to interfaces where operational experience with the interface
+is still limited and some need to change may be anticipated.
+.Pp
+Consumers should expect to revalidate any
+.Nm Uncommitted
+interfaces when crossing release boundaries.  Products intended for
+use on many releases or intended to support compatibility with future
+releases should avoid these interfaces.
+.It Nm Volatile
+The interface can change at any time for any reason. Often this relates to
+interfaces that are part of external software components that are still evolving
+rapidly.  Consumers should not expect that the interface (either binary or
+source level) will be unchanged from one release to the next.
+.It Nm Not-an-Interface
+Describes something that is specifically not intended for programmatic
+consumption.  For example, specific human-readable output, or the layout
+of graphical items on a user interface, may be described this way.  Generally
+programmatic alternatives to these will be available, and should be used
+when programmatic consumption is needed.
+.It Nm Private
+This is an internal interface.  Generally these interfaces should only be
+used within the project, and should not be used by other programs or modules.
+The interface can and will change without notice as the project needs, at
+any time.
+.Pp
+Most often, Private interfaces will lack any documentation whatsoever, and
+generally any undocumented interface can be assumed to be Private.
+.It Nm Obsolete
+The interface is not intended for use in new projects or programs, and may
+be removed at a future date.  The
+.Nm Obsolete
+word is a modifier that can
+be applied to other commitment levels. For example an
+.Nm Obsolete Committed
+interface is unlikely to be removed or changed, but nonetheless new use
+is discouraged (perhaps a better newer alternative is present).
+.El
+.It Em MT-LEVEL
+This section describes considerations for the interface when used within
+programs that use multiple threads.  More discussion of these considerations
+is made in the MT-Level section of
+.Xr attributes 5 .
+The interface can be described in the following ways.
+.Bl -tag
+.It Nm Safe
+Indicates the interface is safe for use within multiple threads.  There
+may be additional caveats that apply, in which case those will be
+described.  Note that some interfaces have semantics which may affect
+other threads, but these should be an intrinsic part of the interface
+rather than an unexpected side effect.  For example, closing a file in
+one thread will cause that file to be closed in all threads.
+.It Nm Unsafe
+Indicates the interface is unsuitable for concurrent use within multiple
+threads.  A threaded application may still make use of the interface, but
+will be required to provide external synchronization means to ensure that
+only a single thread calls the interface at a time.
+.It Nm MT-Safe
+Indicates that the interface is not only safe for concurrent use, but is
+designed for such use.  For example, a
+.Nm Safe
+interface may make use of a global lock to provide safety, but at reduced
+internal concurrency, whereas an
+.Nm MT-Safe
+interface will be designed to be efficient even when used concurrently.
+.It Nm Async-Signal-Safe
+Indicates that the library is safe for use within a signal handler.  An
+.Nm MT-Safe
+interface can be made
+.Nm Async-Signal-Safe
+by ensuring that it blocks signals when acquiring locks.
+.It Nm Safe with Exections
+As for
+.Nm Safe
+but with specific exceptions noted.
+.It Nm MT-Safe with Exections
+As for
+.Nm MT-Safe
+but with specific exceptions noted.
+.El
 .It Em SEE ALSO
 References other manuals with related topics.
 This section should exist for most manuals.
@@ -1233,7 +1352,7 @@
 It is followed by a newline.
 .Pp
 Examples:
-.Dl \&.Dl % mandoc mdoc.7 \e(ba less
+.Dl \&.Dl % mandoc mdoc.5 \e(ba less
 .Pp
 See also
 .Sx \&Bd
@@ -1418,7 +1537,7 @@
 This macro is obsolete and not implemented.
 .Ss \&Ev
 Environmental variables such as those specified in
-.Xr environ 7 .
+.Xr environ 5 .
 .Pp
 Examples:
 .Dl \&.Ev DISPLAY
@@ -2032,7 +2151,7 @@
 .Pp
 Examples:
 .Dl \&.Pa /usr/bin/mandoc
-.Dl \&.Pa /usr/share/man/man7/mdoc.7
+.Dl \&.Pa /usr/share/man/man5/mdoc.5
 .Pp
 See also
 .Sx \&Lk .
@@ -3083,6 +3202,7 @@
 .Xr mandoc 1
 utility written by Kristaps Dzonsons appeared in
 .Ox 4.6 .
+in July, 2014.
 .Sh AUTHORS
 The
 .Nm
--- old/usr/src/pkg/manifests/system-man.mf	Wed Jul 16 09:10:06 2014
+++ new/usr/src/pkg/manifests/system-man.mf	Wed Jul 16 09:10:06 2014
@@ -26,16 +26,16 @@
 dir path=usr/share
 dir path=usr/share/man
 dir path=usr/share/man/man1
+dir path=usr/share/man/man1m
 dir path=usr/share/man/man5
 file path=usr/bin/catman mode=0555
 file path=usr/bin/man mode=0555
 file path=usr/bin/mandoc mode=0555
-file path=usr/lib/makewhatis mode=0555
 file path=usr/lib/mandoc_preconv mode=0555
 file path=usr/share/man/man1/apropos.1
-file path=usr/share/man/man1/catman.1
 file path=usr/share/man/man1/man.1
 file path=usr/share/man/man1/mandoc.1
+file path=usr/share/man/man1m/catman.1m
 file path=usr/share/man/man5/eqn.5
 file path=usr/share/man/man5/man.5
 file path=usr/share/man/man5/mandoc_char.5
@@ -44,6 +44,7 @@
 file path=usr/share/man/man5/tbl.5
 hardlink path=usr/bin/apropos target=../../usr/bin/man
 hardlink path=usr/bin/whatis target=../../usr/bin/man
+hardlink path=usr/lib/makewhatis target=../../usr/bin/man
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/man/THIRDPARTYLICENSE \
     license=usr/src/cmd/man/THIRDPARTYLICENSE
